Update your browser to get the best out of qualifications management

Sun Nov 30 15:19:00 UTC 2014

We recommend that you update your internet browser in order to get the best out of our new web-based qualifications management application, to be launched to Campus users on 19 January 2015.

Read more

We’ve tested extensively on Chrome, Firefox, Safari and later versions of Internet Explorer (IE9+).

The system will work with versions 7 or 8 of Internet Explorer, but if you are running one of these, then you should consider upgrading.

You don't need any other software installed on your machine to access the qualification management application.

Software download is only required to access the onscreen testing component.

Recommended browsers:

What do you think?
Close